@echo off

REM set JAVA_HOME="YOUR JAVA HOME DIRECTORY"

IF NOT EXIST %JAVA_HOME%\bin\java.exe goto NO_JAVA_HOME

%JAVA_HOME%\bin\java -cp .;lib\nakedobjects.jar;lib\log4j-1.2.6.jar accounts.AccountsExploration %1
goto END

:NO_JAVA_HOME
REM ASSUMES THAT JAVA IS AVAIABLE ON THE PATH
java -cp .;lib\nakedobjects.jar;lib\log4j-1.2.6.jar accounts.AccountsExploration %1

:END